Skip to main content
PUT
Update an existing metric

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

metric_id
string
required

The unique identifier of the metric to update

Body

application/json

Request body for PUT /metrics/{metric_id}

name
string
Maximum string length: 200
type
enum<string>
Available options:
PYTHON,
LLM,
HUMAN,
COMPOSITE
criteria
string
Minimum string length: 1
description
string | null
return_type
enum<string>
Available options:
float,
boolean,
string,
categorical
enabled_in_prod
boolean
needs_ground_truth
boolean
sampling_percentage
number
Required range: 0 <= x <= 100
model_provider
string | null
model_name
string | null
scale
integer | null
threshold
object
categories
object[]
Minimum array length: 1
child_metrics
object[]
Minimum array length: 1
filters
object

Response

200 - application/json

Metric updated successfully

Response for PUT /metrics

updated
boolean
required